package com.sheep.gamegroup.view.activity;

import android.text.TextUtils;
import android.widget.TextView;

import com.sheep.gamegroup.absBase.BaseActivity;
import com.sheep.jiuyan.samllsheep.R;
import com.sheep.jiuyan.samllsheep.utils.TitleBarUtils;

import butterknife.BindView;
import butterknife.OnClick;

/**
 * Created by Administrator on 2018/3/19.
 * 充值界面
 */

public class RechargeResultAct extends BaseActivity {


    @BindView(R.id.tv_recharge_result_state)
    TextView tvRechargeResultState;
    @BindView(R.id.tv_recharge_result_pay)
    TextView tvRechargeResultPay;

    @Override
    protected int getLayoutId() {
        return R.layout.recharge_result_act_layout;
    }

    @Override
    public void initView() {
        String resultStatus = getIntent().getStringExtra("payCode");
        if (TextUtils.equals(resultStatus, "9000")) {
            TitleBarUtils.getInstance()
                    .setTitle(this, "交易成功")
                    .setTitleFinish(this);
            tvRechargeResultState.setText("交易成功");
        } else {
            TitleBarUtils.getInstance()
                    .setTitle(this, "交易失败")
                    .setTitleFinish(this);
            tvRechargeResultState.setText("交易失败");
        }
    }

    @Override
    public void initListener() {

    }

    @Override
    public void initData() {

    }


    @OnClick(R.id.tv_recharge_result_pay)
    public void onViewClicked() {
        finish();
    }
}
